Subject: bug#77369: typescript-ts-mode's defun definition is wrong

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Apr 2025 10:56:41 +0300

> From: Yuan Fu <[email-masked]>
> Date: Thu, 3 Apr 2025 00:46:04 -0700
> Cc: Daniel Colascione <[email-masked]>,
>  Juri Linkov <[email-masked]>,
>  [email-masked]
> 
> > On Apr 3, 2025, at 12:30 AM, Eli Zaretskii <[email-masked]> wrote:
> > 
> >> From: Daniel Colascione <[email-masked]>
> >> Date: Sat, 29 Mar 2025 14:17:15 -0400
> >> 
> >> Not sure whether this is a bug or just surprising design, but in this
> >> code:
> >> 
> >>    function Blah(foo) {
> >>      const foo = 1;
> >>      const bar = 2;
> >>    }
> >> 
> >> with point on "const foo", I do not expect end-of-defun to go to "const
> >> bar".  I expect it to go to the closing curly brace.
> > 
> > Juri and Yuan, any comments or suggestions?
> 
> I pushed a fix for it. Maybe my message got lost?

Or maybe I missed it, in which case my apologies.

> Though now that I think of it, I should’ve pushed the fix to emacs-30 instead of master...

Yes, please backport to emacs-30, and thanks.